when:
  event: tag
  branch: ${CI_REPO_DEFAULT_BRANCH}  

steps:
  test:
    image: docker:cli
    commands:
      - docker compose -f ./artel/docker-compose-test.yml  run test_comfy
      - docker compose -f ./artel/docker-compose-test.yml  down      
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock
    secrets: [uid, gid, database_url, postgres_root_password, postgres_user, postgres_password, postgres_db, django_settings_module, comfy_image]

depends_on:
  - build

